Generate image
curl --request POST \
--url https://api.siray.ai/v1/images/generations/async \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"aspect_ratio": "1:1",
"images": [
"example_value"
],
"model": "google/nano-banana-2-i2i",
"prompt": "example_value",
"size": "512"
}
'import requests
url = "https://api.siray.ai/v1/images/generations/async"
payload = {
"aspect_ratio": "1:1",
"images": ["example_value"],
"model": "google/nano-banana-2-i2i",
"prompt": "example_value",
"size": "512"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
aspect_ratio: '1:1',
images: ['example_value'],
model: 'google/nano-banana-2-i2i',
prompt: 'example_value',
size: '512'
})
};
fetch('https://api.siray.ai/v1/images/generations/async', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": "success",
"data": {
"task_id": "<string>"
},
"message": "<string>"
}Google
Nano Banana 2 i2i
POST
/
v1
/
images
/
generations
/
async
Generate image
Authorizations
Bearer authentication using API key
Body
application/json
Request payload
Request format for image generation models
Aspect ratio
Available options:
1:1, 1:4, 1:8, 2:3, 3:2, 3:4, 4:1, 4:3, 4:5, 5:4, 8:1, 9:16, 16:9, 21:9, auto Array of input images, which can be data URL or image URL
Required array length:
1 - 14 elementsModel name to use for the request
Available options:
google/nano-banana-2-i2i Text prompt for generation
Fixed size
Available options:
512, 1k, 2k, 4k Response
200 - application/json
Successful response
⌘I
